Package org.apache.groovy.swing.binding

# Class EventTriggerBinding

java.lang.Object
org.apache.groovy.swing.binding.EventTriggerBinding

All Implemented Interfaces:
  `TriggerBinding`

public class EventTriggerBinding extends Object implements TriggerBinding

Since:
  Groovy 1.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventTriggerBinding(Object triggerBean, String eventName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FullBinding`
  `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
  `String`
  `getEventName()`
  `Object`
  `getTriggerBean()`
  `void`
  `setEventName(String eventName)`
  `void`
  `setTriggerBean(Object triggerBean)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventTriggerBinding

    public EventTriggerBinding(Object triggerBean, String eventName)

- ## Method Details

  - ### createBinding

    public FullBinding createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)
    Specified by:
      `createBinding` in interface `TriggerBinding`

  - ### getTriggerBean

    public Object getTriggerBean()

  - ### setTriggerBean

    public void setTriggerBean(Object triggerBean)

  - ### getEventName

    public String getEventName()

  - ### setEventName

    public void setEventName(String eventName)